function[a0,ro,ENS,ENQ,EN,EWS,EWQ,EW]=neomezeny_1(lambda,mi);
% [a0,ro,ENS,ENQ,EN,EWS,EWQ,EW]=neomezeny_1(lambda,mi)
%
% Vypot prvek a0 stacionrnho rozloen, intenzitu provozu  
% a charakteristiky systmu hromadn obsluhy M|M|1|Inf|FIFO.
%
% Vstupn parametry:
% lambda .... parametr vstupnho proudu
% mi ........ parametr obsluhy
%
% Vstupn parametry:
% a0 ........ pst, e v systmu nebude dn zkaznk
% ro ........ intenzita provozu
% ENS ....... stedn hodnota potu obsluhovanch zkaznk
% ENQ ....... stedn hodnota potu zkaznk ve front
% EN ........ stedn hodnota potu zkaznk v systmu
% EWS ....... stedn hodnota doby, kterou zkaznk strv obsluhou
% EWQ ....... stedn hodnota doby, kterou zkaznk strv ve front
% EW ........ stedn hodnota doby, kterou zkaznk strv v systmu

ro=lambda/mi;
if ro<1
  a0=1-ro;
  ENS=ro;
  ENQ=lambda^2/(mi*(mi-lambda));
  EN=lambda/(mi-lambda);
  EW=1/(mi-lambda);
  EWS=1/mi;
  EWQ=lambda/(mi*(mi-lambda));
else
error('System se neme stabilizovat. Intenzita provozu je vt ne 1.')
end;