function[a0,ro,PQ,ENS,ENQ,EN,EWS,EWQ,EW]=neomezeny_n(n,lambda,mi);
% [a0,ro,PQ,ENS,ENQ,EN,EWS,EWQ,EW]=neomezeny_n(n,lambda,mi)
%
% Vypot prvek a0 stacionrnho rozloen, intenzitu provozu  
% a charakteristiky systmu hromadn obsluhy M|M|n|Inf|FIFO.
%
% Vstupn parametry:
% n ......... poet linek obsluhy
% lambda .... parametr vstupnho proudu
% mi ........ parametr obsluhy
%
% Vstupn parametry:
% a0 ........ pst, e v systmu nebude dn zkaznk
% ro ........ intenzita provozu (vyuit systmu)
% PQ ........ pst, e pichzejc zkaznk bude ekat ve front
% ENS ....... stedn hodnota potu obsluhovanch zkaznk
% ENQ ....... stedn hodnota potu zkaznk ve front
% EN ........ stedn hodnota potu zkaznk v systmu
% EWS ....... stedn hodnota doby, kterou zkaznk strv obsluhou
% EWQ ....... stedn hodnota doby, kterou zkaznk strv ve front
% EW ........ stedn hodnota doby, kterou zkaznk strv v systmu

beta=lambda/mi;
ro=beta/n;
if ro<1
  a0=inv(sum(beta.^(0:n-1)./factorial(0:n-1))+n*beta^n/factorial(n)/(n-beta));
  PQ=a0*beta^n/(factorial(n)*(1-ro));
  ENS=n*ro;
  ENQ=PQ*ro/(1-ro);
  EN=ENQ+ENS;
  EWS=1/mi;
  EWQ=PQ*ro/(lambda*(1-ro));
  EW=EWS+EWQ;
else
error('System se neme stabilizovat. Intenzita provozu je vt ne 1.')
end;