function[mi,F]=opt_neomezeny_1(lambda,c1,c2);
% [mi,F]=opt_neomezeny_1(lambda,c1,c2)
%
% Vypot optimln intenzitu obsluhy a hodnotu funkce nklad
% a ztrt (pi tto intenzit) systmu hromadn obsluhy M|M|1|Inf|FIFO.
%
% Vstupn parametry:
% lambda .... parametr vstupnho proudu
% c1 ........ nklady na obsluhu jednoho poadavku
% c2 ........ nklady na drbu przdnho systmu za asovou jednotku
%
% Vstupn parametry:
% mi ........ optimln intenzita obsluhy
% F ......... hodnota funkce nklad a ztrt pi optimln intenzit
%             obsluhy (minimln celkov prmrn nklady na provoz systmu
%             a drbu przdnho systmu)

mi=lambda+sqrt(c2*lambda/c1);
ro=lambda/mi;
if ro<1
  F=c1*mi+c2*lambda/(mi-lambda);
else
error('System se neme stabilizovat. Intenzita provozu je vt ne 1.')
end;